Project

General

Profile

Tâche #17902

Scénario #17674: Intégrer la version 2.1 de Tiramisu

CreoleLint signale une erreur sur le template ups.conf en 2.6.1

Added by Joël Cuissinat over 7 years ago. Updated over 7 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
11/16/2016
Due date:
% Done:

100%

Estimated time:
2.00 h
Spent time:
Remaining (hours):
0.0

Description

root@hapy:/usr/share/eole/creole/distrib# CreoleLint -t ups.conf

Template Non valide (valid_parse_tmpl:ERROR:error)
 \-- /usr/share/eole/creole/distrib/ups.conf
('/usr/share/eole/creole/distrib/ups.conf', ':', Exception('Il y a une erreur', TypeError("'NoneType' object is not iterable",),
'avec le dictionnaire', {'activer_nut': u'oui', 'nut_ups_name': {u'slave': {'nut_ups_port': [u'auto'],
'nut_ups_driver': [u'usbhid-ups']}, u'value': [u'value']}, 'nut_ups_daemon': u'oui'}))

Associated revisions

Revision 0570bb56 (diff)
Added by Joël Cuissinat over 7 years ago

Correction de code erroné dans "add_slave"

Visiblement, seul CreoleLint se trouve dans la situation problématique

Ref: #17902 @1h

Revision 44ea3132 (diff)
Added by Joël Cuissinat over 7 years ago

Suppression de ":" superflus dans le template ups.conf

Ref: #17902 @20m

History

#1 Updated by Joël Cuissinat over 7 years ago

  • % Done changed from 0 to 100
  • Remaining (hours) changed from 2.0 to 0.15

#2 Updated by Scrum Master over 7 years ago

  • Status changed from En cours to Résolu

#3 Updated by Benjamin Bohard over 7 years ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) changed from 0.15 to 0.0

Testé avec le paquet 2.6.1-1 sur eolebase

CreoleLint -t ups.conf

Template Non valide (valid_parse_tmpl:ERROR:error)
 \-- /usr/share/eole/creole/distrib/ups.conf

Also available in: Atom PDF